Operation MetadataOperation status history (§9)

Operation status history (§9)

A timeline of status transitions (OperationStatusHistory). For operations created before this was introduced, there's a single legacy-baseline record.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operations/deposit/example_string/status-history" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "example_string",
      "fromStatus": "example_string",
      "toStatus": "example_string",
      "reason": "example_string",
      "changedById": "example_string",
      "changedAt": "2024-12-25T10:00:00Z"
    }
  ]
}
GET
/api/v1/vaults/{code}/operations/{operationType}/{operationId}/status-history
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
codestring
Required

Unique Vault code (slug)

path
operationTypestring
Required
Options: deposit, transfer
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault
operationTypestring
Required
Allowed values:deposittransfer

Responses

itemsarray
Required